std::enable_shared_from_this< _Tp > Class Template Reference
Utilities » Memory » Pointer Abstractions

## Public Member Functions

shared_ptr< _Tp > | shared_from_this ()
shared_ptr< const _Tp > | shared_from_this () const

## Protected Member Functions

| enable_shared_from_this (const enable_shared_from_this &) noexcept
enable_shared_from_this & | operator= (const enable_shared_from_this &) noexcept

## Friends

template<typename _Tp1 , typename _Tp2 >
void | __enable_shared_from_this_helper (const __shared_count<> &, const enable_shared_from_this< _Tp1 > *, const _Tp2 *) noexcept

## Detailed Description

### template<typename _Tp>
class std::enable_shared_from_this< _Tp >

Base class allowing use of member function shared_from_this.

Definition at line 557 of file bits/shared_ptr.h.

The documentation for this class was generated from the following file:

- bits/shared_ptr.h